# TRTCAudioRecordingParams class Null safety

Audio recording parameters

Field description: file path (required), which is the storage path of the audio recording file. Please specify it by yourself and ensure that the specified path exists and is writable.

Note: this path must be accurate to the file name and extension. The extension determines the format of the audio recording file. Currently, supported formats include PCM, WAV, and AAC. For example, if the specified path is `path/to/audio.aac`, then an AAC file will be generated. Please specify a valid path with read/write permissions; otherwise, the audio recording file cannot be generated.

## Constructors

TRTCAudioRecordingParams({required String filePath})

## Properties

filePath ↔ String
  read / write
hashCode → int
  The hash code for this object.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited